class Settings():
	"""存储《外星人入侵》的所有设置的类"""

	def __init__(self):
		"""初始化游戏的静态设置"""
		# 屏幕设置
		self.screen_width = 1200
		self.screen_height = 800
		self.bg_color = (230, 230, 230)

		# 飞船设置
		# 玩家拥有的飞船数
		self.ships_limit = 3

		# 子弹设置
		# 宽3像素
		self.bullet_width = 3
		# 高5像素
		self.bullet_height = 15
		# 颜色
		self.bullet_color = 60, 60, 60
		# 最大子弹数
		self.bullets_allowed = 3

		# 外星人设置
		# 外星人撞到屏幕, 向下移动的速度
		self.fleet_drop_speed = 10

		# 以什么样的速度加快游戏节奏
		self.speedup_scale = 1.1
		# 外星人点数的提高速度
		self.score_scale = 1.5

		self.initialize_dynamic_settings()

	def initialize_dynamic_settings(self):
		"""初始化随游戏进行而变化的设置"""
		# 飞船速度
		self.ship_speed_factor = 1.5
		# 子弹速度
		self.bullet_speed_factor = 3
		# 外星人速度
		self.alien_speed_factor = 1

		# 记分
		self.alien_points = 50

		# 方向 为1表示向右, 为-1表示向左
		self.fleet_direction = 1

	def increase_speed(self):
		"""提高速度设置"""
		self.ship_speed_factor *= self.speedup_scale
		self.bullet_speed_factor *= self.speedup_scale
		self.alien_speed_factor *= self.speedup_scale

		self.alien_points = int(self.alien_points * self.score_scale)
		# print(self.alien_points)
